import request from '@/utils/require';

import { dict, baseServer, loginUrl, User } from './index';
// 根据分组id查询数据字典
export function findByGroupId(groupId) {
	return request({
		url: `${dict}/dataDictionary/findByGroupId/${groupId}`,
		method: 'get'
	})
}
// 新版根据父级id查询数据字典
export function findByPDictCode(pdictCode) {
	return request({
		// url: `${dict}/dataDictionary/findByPDictCode/${pdictCode}`,
		url:`${loginUrl}/dataDictionary/getDataGroup?groupId=PM001&pdictCode=11`,
		method: 'get'
	})
}
//地区
export function cityDetain(){
	// return request({
	// 	url:`${dict}/dataDictionary/getDataGroup?groupId=AREA_CODE&pdictCode=120000`,
	// 	method:'get'
	// })
	// sessionStorage.setItem('TOKENL', 1)
	return request({
		url: `${User}/area/findCity?code=150000`,
		method: 'get'
	})
  }
  //获取县级名称信息
  export function getdqchilder(params) {
	return request({
		url: `${User}/area/findCounty?code=${params}`,
		method: 'get',
		data: params
	})
  }